# Delete a metafield

{% hint style="warning" %}
This won't delete the metafield definition, it will just clear metafield value
{% endhint %}

{% hint style="info" %}
Use the same `raven_id` as the one used to create metafields, you don't need to create a new raven for the delete operation.
{% endhint %}

{% tabs %}
{% tab title="Vanilla JS" %}

```html
<!-- JavaScript + Liquid -->
<script type="text/javascript">
  fieldsRavenTestDelete = (value) => {
    const requestParams = {
      resource_id: {{ customer.id }},
      raven_id: 'TBD'
    };
    const response = fetch('/apps/raven/delete_metafield', {
      method: 'DELETE',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify(requestParams)
    });

    response
      .then(res => res.json())
      .then(resJson => console.log('resJson: ', resJson));
  }
</script>

<!-- HTML -->
<button id="fieldsraven-demo" onclick="fieldsRavenTestDelete()">Delete metafield!</button>

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldsraven.app/code-examples/delete-a-metafield.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
